org.apache.lucene.util

## Class PagedBytes.PagedBytesDataOutput

- java.lang.Object
- - org.apache.lucene.store.DataOutput
  - - org.apache.lucene.util.PagedBytes.PagedBytesDataOutput

- Enclosing class:
    PagedBytes

      public final class PagedBytes.PagedBytesDataOutput
      extends DataOutput

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagedBytesDataOutput()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getPosition()` Return the current byte position.
    `void` | `writeByte(byte b)` Writes a single byte.
    `void` | `writeBytes(byte[] b, int offset, int length)` Writes an array of bytes.

    - ### Methods inherited from class org.apache.lucene.store.DataOutput

      `copyBytes, writeBytes, writeInt, writeLong, writeMapOfStrings, writeSetOfStrings, writeShort, writeString, writeVInt, writeVLong, writeZInt, writeZLong`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PagedBytesDataOutput

          public PagedBytesDataOutput()

  - ### Method Detail

    - #### writeByte

          public void writeByte(byte b)

      Description copied from class: `DataOutput`
      Writes a single byte.

      The most primitive data type is an eight-bit byte. Files are accessed as sequences of bytes. All other data types are defined as sequences of bytes, so file formats are byte-order independent.

      Specified by:
        `writeByte` in class `DataOutput`
      See Also:
        `DataInput.readByte()`

    - #### writeBytes

          public void writeBytes(byte[] b,
                                 int offset,
                                 int length)

      Description copied from class: `DataOutput`
      Writes an array of bytes.
      Specified by:
        `writeBytes` in class `DataOutput`
      Parameters:
        `b` - the bytes to write
        `offset` - the offset in the byte array
        `length` - the number of bytes to write
      See Also:
        `DataInput.readBytes(byte[],int,int)`

    - #### getPosition

          public long getPosition()

      Return the current byte position.

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.